package com.huimv.guowei.admin.mapper;

import com.huimv.guowei.admin.entity.EnergyWater;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface EnergyWaterMapper extends BaseMapper<EnergyWater> {

    List<EnergyWater> listDayDetail(String farmId);

    List<EnergyWater> listWeekDetail(String farmId);

    List<EnergyWater> listMonthDetail(String farmId);

    List<EnergyWater> listCustomDetail(String id, String startDate, String farmId);

    BigDecimal getDayWater(String farmId);

    BigDecimal getMonthWater(String farmId);
}
